## pmtools 1.00

=== Makefile ===
# This Makefile is for the pmtools extension to perl.
#
# It was generated automatically by MakeMaker version
# 5.4302 (Revision: 1.222) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#	ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#	DISTNAME => q[pmtools]
#	EXE_FILES => [q[basepods], q[faqpods], q[modpods], q[pfcat], q[plxload], q[pmall], q[pman], q[pmcat], q[pmdesc], q[pmdirs], q[pmexp], q[pmfunc], q[pminst], q[pmload], q[pmls], q[pmpath], q[pmvers], q[podgrep], q[podpath], q[pods], q[podtoc], q[sitepods], q[stdpods]]
#	NAME => q[pmtools]
#	PM => { Devel/Loaded.pm=>q[$(INST_LIBDIR)/Devel/Loaded.pm] }
#	VERSION => q[1.00]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/local/devperl/lib/5.00554/i686-linux/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -fpic
CCDLFLAGS = -rdynamic
DLEXT = so
DLSRC = dl_dlopen.xs
LD = cc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.0.36
RANLIB = :
SO = so
EXE_EXT = 


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = pmtools
DISTNAME = pmtools
NAME_SYM = pmtools
VERSION = 1.00
VERSION_SYM = 1_00
XS_VERSION = 1.00
INST_BIN = blib/bin
INST_EXE = blib/script
INST_LIB = blib/lib
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
PREFIX = /usr/local/devperl
INSTALLDIRS = site
INSTALLPRIVLIB = $(PREFIX)/lib/5.00554
INSTALLARCHLIB = $(PREFIX)/lib/5.00554/i686-linux
INSTALLSITELIB = $(PREFIX)/lib/site_perl/5.00554
INSTALLSITEARCH = $(PREFIX)/lib/site_perl/5.00554/i686-linux
INSTALLBIN = $(PREFIX)/bin
INSTALLSCRIPT = $(PREFIX)/bin
PERL_LIB = /usr/local/devperl/lib/5.00554
PERL_ARCHLIB = /usr/local/devperl/lib/5.00554/i686-linux
SITELIBEXP = /usr/local/devperl/lib/site_perl/5.00554
SITEARCHEXP = /usr/local/devperl/lib/site_perl/5.00554/i686-linux
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/local/devperl/lib/5.00554/i686-linux/CORE
PERL = /usr/local/devperl/bin/perl
FULLPERL = /usr/local/devperl/bin/perl

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"

MAKEMAKER = /usr/local/devperl/lib/5.00554/ExtUtils/MakeMaker.pm
MM_VERSION = 5.4302

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# ROOTEXT = Directory part of FULLEXT with leading slash (eg /DBD)  !!! Deprecated from MM 5.32  !!!
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = pmtools
BASEEXT = pmtools
DLBASE = $(BASEEXT)
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= 
C_FILES = 
O_FILES = 
H_FILES = 
MAN1PODS = basepods \
	faqpods \
	modpods \
	pfcat \
	plxload \
	pmall \
	pman \
	pmcat \
	pmdesc \
	pmdirs \
	pmexp \
	pmfunc \
	pminst \
	pmload \
	pmls \
	pmpath \
	pmvers \
	podgrep \
	podpath \
	pods \
	podtoc \
	sitepods \
	stdpods
MAN3PODS = Devel/Loaded.pm
INST_MAN1DIR = blib/man1
INSTALLMAN1DIR = $(PREFIX)/man/man1
MAN1EXT = 1
INST_MAN3DIR = blib/man3
INSTALLMAN3DIR = $(PREFIX)/man/man3
MAN3EXT = 3
PERM_RW = 644
PERM_RWX = 755

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC  =
INST_DYNAMIC =
INST_BOOT    =

EXPORT_LIST = 

PERL_ARCHIVE = 

TO_INST_PM = Devel/Loaded.pm

PM_TO_BLIB = Devel/Loaded.pm \
	$(INST_LIBDIR)/Devel/Loaded.pm


# --- MakeMaker tool_autosplit section:

# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERL) "-I$(PERL_ARCHLIB)" "-I$(PERL_LIB)" -e 'use AutoSplit;autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1) ;'


# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:

SHELL = /bin/sh
CHMOD = chmod
CP = cp
LD = cc
MV = mv
NOOP = $(SHELL) -c true
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1

# The following is a portable way to say mkdir -p
# To see which directories are created, change the if 0 to if 1
MKPATH = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e mkpath

# This helps us to minimize the effect of the .exists files A yet
# better solution would be to have a stable file in the perl
# distribution with a timestamp of zero. But this solution doesn't
# need any changes to the core distribution and works with older perls
EQUALIZE_TIMESTAMP = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e eqtime

# Here we warn users that an old packlist file was found somewhere,
# and that they should call some uninstall routine
WARN_IF_OLD_PACKLIST = $(PERL) -we 'exit unless -f $$ARGV[0];' \
-e 'print "WARNING: I have found an old package in\n";' \
-e 'print "\t$$ARGV[0].\n";' \
-e 'print "Please make sure the two installations are not conflicting\n";'

UNINST=0
VERBINST=1

MOD_INSTALL = $(PERL) -I$(INST_LIB) -I$(PERL_LIB) -MExtUtils::Install \
-e "install({@ARGV},'$(VERBINST)',0,'$(UNINST)');"

DOC_INSTALL = $(PERL) -e '$$\="\n\n";' \
-e 'print "=head2 ", scalar(localtime), ": C<", shift, ">", " L<", shift, ">";' \
-e 'print "=over 4";' \
-e 'while (defined($$key = shift) and defined($$val = shift)){print "=item *";print "C<$$key: $$val>";}' \
-e 'print "=back";'

UNINSTALL =   $(PERL) -MExtUtils::Install \
-e 'uninstall($$ARGV[0],1,1); print "\nUninstall is deprecated. Please check the";' \
-e 'print " packlist above carefully.\n  There may be errors. Remove the";' \
-e 'print " appropriate files manually.\n  Sorry for the inconveniences.\n"'


# --- MakeMaker dist section:

DISTVNAME = $(DISTNAME)-$(VERSION)
TAR  = tar
TARFLAGS = cvf
ZIP  = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = @$(NOOP)
POSTOP = @$(NOOP)
TO_UNIX = @$(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"


# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:

#all ::	config $(INST_PM) subdirs linkext manifypods

all :: pure_all manifypods
	@$(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	@$(NOOP)

subdirs :: $(MYEXTLIB)
	@$(NOOP)

config :: Makefile $(INST_LIBDIR)/.exists
	@$(NOOP)

config :: $(INST_ARCHAUTODIR)/.exists
	@$(NOOP)

config :: $(INST_AUTODIR)/.exists
	@$(NOOP)

config :: Version_check
	@$(NOOP)


$(INST_AUTODIR)/.exists :: /usr/local/devperl/lib/5.00554/i686-linux/CORE/perl.h
	@$(MKPATH) $(INST_AUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/devperl/lib/5.00554/i686-linux/CORE/perl.h $(INST_AUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/local/devperl/lib/5.00554/i686-linux/CORE/perl.h
	@$(MKPATH) $(INST_LIBDIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/devperl/lib/5.00554/i686-linux/CORE/perl.h $(INST_LIBDIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/local/devperl/lib/5.00554/i686-linux/CORE/perl.h
	@$(MKPATH) $(INST_ARCHAUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/devperl/lib/5.00554/i686-linux/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN1DIR)/.exists
	@$(NOOP)


$(INST_MAN1DIR)/.exists :: /usr/local/devperl/lib/5.00554/i686-linux/CORE/perl.h
	@$(MKPATH) $(INST_MAN1DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/devperl/lib/5.00554/i686-linux/CORE/perl.h $(INST_MAN1DIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_MAN1DIR)

config :: $(INST_MAN3DIR)/.exists
	@$(NOOP)


$(INST_MAN3DIR)/.exists :: /usr/local/devperl/lib/5.00554/i686-linux/CORE/perl.h
	@$(MKPATH) $(INST_MAN3DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/devperl/lib/5.00554/i686-linux/CORE/perl.h $(INST_MAN3DIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_MAN3DIR)

help:
	perldoc ExtUtils::MakeMaker

Version_check:
	@$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) \
		-MExtUtils::MakeMaker=Version_check \
		-e "Version_check('$(MM_VERSION)')"


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	@$(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make dynamic"
#dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT) $(INST_PM)
dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT)
	@$(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
#static :: Makefile $(INST_STATIC) $(INST_PM)
static :: Makefile $(INST_STATIC)
	@$(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:
POD2MAN_EXE = /usr/local/devperl/bin/pod2man
POD2MAN = $(PERL) -we '%m=@ARGV;for (keys %m){' \
-e 'next if -e $$m{$$_} && -M $$m{$$_} < -M $$_ && -M $$m{$$_} < -M "Makefile";' \
-e 'print "Manifying $$m{$$_}\n";' \
-e 'system(qq[$$^X ].q["-I$(PERL_ARCHLIB)" "-I$(PERL_LIB)" $(POD2MAN_EXE) ].qq[$$_>$$m{$$_}])==0 or warn "Couldn\047t install $$m{$$_}\n";' \
-e 'chmod(oct($(PERM_RW))), $$m{$$_} or warn "chmod $(PERM_RW) $$m{$$_}: $$!\n";}'

manifypods : pure_all podgrep \
	pmexp \
	pman \
	faqpods \
	basepods \
	podpath \
	pmpath \
	modpods \
	plxload \
	sitepods \
	pmfunc \
	podtoc \
	stdpods \
	pmcat \
	pmvers \
	pods \
	pfcat \
	pmdirs \
	pmload \
	pmall \
	pmdesc \
	pminst \
	pmls \
	Devel/Loaded.pm
	@$(POD2MAN) \
	podgrep \
	$(INST_MAN1DIR)/podgrep.$(MAN1EXT) \
	pmexp \
	$(INST_MAN1DIR)/pmexp.$(MAN1EXT) \
	pman \
	$(INST_MAN1DIR)/pman.$(MAN1EXT) \
	faqpods \
	$(INST_MAN1DIR)/faqpods.$(MAN1EXT) \
	basepods \
	$(INST_MAN1DIR)/basepods.$(MAN1EXT) \
	podpath \
	$(INST_MAN1DIR)/podpath.$(MAN1EXT) \
	pmpath \
	$(INST_MAN1DIR)/pmpath.$(MAN1EXT) \
	modpods \
	$(INST_MAN1DIR)/modpods.$(MAN1EXT) \
	plxload \
	$(INST_MAN1DIR)/plxload.$(MAN1EXT) \
	sitepods \
	$(INST_MAN1DIR)/sitepods.$(MAN1EXT) \
	pmfunc \
	$(INST_MAN1DIR)/pmfunc.$(MAN1EXT) \
	podtoc \
	$(INST_MAN1DIR)/podtoc.$(MAN1EXT) \
	stdpods \
	$(INST_MAN1DIR)/stdpods.$(MAN1EXT) \
	pmcat \
	$(INST_MAN1DIR)/pmcat.$(MAN1EXT) \
	pmvers \
	$(INST_MAN1DIR)/pmvers.$(MAN1EXT) \
	pods \
	$(INST_MAN1DIR)/pods.$(MAN1EXT) \
	pfcat \
	$(INST_MAN1DIR)/pfcat.$(MAN1EXT) \
	pmdirs \
	$(INST_MAN1DIR)/pmdirs.$(MAN1EXT) \
	pmload \
	$(INST_MAN1DIR)/pmload.$(MAN1EXT) \
	pmall \
	$(INST_MAN1DIR)/pmall.$(MAN1EXT) \
	pmdesc \
	$(INST_MAN1DIR)/pmdesc.$(MAN1EXT) \
	pminst \
	$(INST_MAN1DIR)/pminst.$(MAN1EXT) \
	pmls \
	$(INST_MAN1DIR)/pmls.$(MAN1EXT) \
	Devel/Loaded.pm \
	$(INST_MAN3DIR)/Devel::Loaded.$(MAN3EXT)

## pmtools 1.30

=== debian/changelog ===
pmtools (1.30-1) unstable; urgency=low

  [ Axel Beckert ]
  * Switch homepage and watch file from search.cpan.org to metacpan.org.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

  [ Xavier Guimard ]
  * Imported Upstream version 1.30
  * Update debian/copyright years

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 21 Jan 2013 06:07:41 +0100

pmtools (1.20-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Xavier Guimard ]
  * Imported Upstream version 1.20
  * Bump Standard-Version to 3.9.4
  * Use debhelper 8
  * Update debian/copyright (license and format)
  * Update source format to 3.0 (quilt)

  [ Axel Beckert ]
  * No more repacking needed. Cleanup debian/rules and README.source.
  * debian/copyright: Add Copyright years and holder for pmcheck.

 -- Axel Beckert <abe@debian.org>  Thu, 13 Dec 2012 00:50:13 +0100

pmtools (1.10+ds1-2) unstable; urgency=low

  * Fix broken watch file

 -- Axel Beckert <abe@debian.org>  Sat, 03 Apr 2010 03:06:56 +0200

pmtools (1.10+ds1-1) unstable; urgency=low

  * New upstream release (Closes: #570883)
    - More modern upstream packaging. Good. :-)
    - One file exists twice in the upstream tar.gz so dpkg-source fails
      and it had to be repackaged. Bad. :-( Add documentation and
      get-orig-source target.
  * New maintainer (Debian Perl Group) and new uploader (me)
    (Closes: #569525)
  * Added a watch file to point to new upstream URL at CPAN
  * Bumped Standards-Version to 3.8.4
    - Changed dependency on perl5 to perl.
  * Used dh-make-perl to refresh debian/rules (one-liner dh format) and
    debian/copyright (DEP5 format).
    - Build-Depends on debhelper (>= 7.0.50~)
    - Bumped debhelper compatibility to 7
    This also fixed the following Lintian warnings as well as many other
    issues:
    - debhelper-but-no-misc-depends
    - clean-should-be-satisfied-by-build-depends debhelper
  * Removed obsolete postinst. This fixed the following Lintian warning:
    - maintainer-script-ignores-errors postinst
  * Added Homepage and Vcs-* headers.
  * Updated source URL in debian/copyright
  * Added debian/source/format to fix lintian warning
    missing-debian-source-format

 -- Axel Beckert <abe@debian.org>  Sat, 03 Apr 2010 02:29:36 +0200

pmtools (1.00-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359558).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 17 Jul 2006 19:50:30 +0200

pmtools (1.00-8) unstable; urgency=low

  * update debian/rules, don't install spurious .packlist

 -- Ivan Kohler <ivan-debian@420.am>  Sun, 12 Aug 2001 03:23:53 -0700

pmtools (1.00-7) unstable; urgency=low

  * New maintainer (closes: Bug#105821)

 -- Ivan Kohler <ivan-debian@420.am>  Fri, 10 Aug 2001 15:48:24 -0700

pmtools (1.00-6) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 15:19:46 -0800

pmtools (1.00-5) unstable; urgency=low

  * Removed install-stamp target, which can cause problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 13:26:32 -0700

pmtools (1.00-4) unstable; urgency=low

  * FHS
  * use dh_perl

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Sep 1999 21:07:26 -0700

pmtools (1.00-3) unstable; urgency=low

  * Remove empty directories more cleanly thanks to Richard Braakman.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Feb 1999 14:25:29 -0800

pmtools (1.00-2) unstable; urgency=low

  * Remove the .packlist file.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Feb 1999 12:57:49 -0800

pmtools (1.00-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Feb 1999 22:04:33 -0800

=== debian/control ===
Source: pmtools
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>,
           Xavier Guimard <x.guimard@free.fr>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 8),
               perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pmtools.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pmtools.git
Homepage: https://metacpan.org/release/pmtools/

Package: pmtools
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Description: Perl module tools
 Perl module tools is a suite of small tools that help manage and inspect
 perl modules, perl Plain Old Documentation files, and perl programs.
 .
 Some of the things these tools can do include:
  - show the full path to a module
  - show the version and description of a module
  - list all installed modules with descriptions
  - show what files a given program or module loads at compile time
  - show what symbols a module exports
  - list the methods of a class
  - display the source code of a function of a module

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# Disabled targets
override_dh_installcatalogs override_dh_installcron override_dh_installdebconf override_dh_installemacsen override_dh_installifupdown override_dh_pysupport override_dh_installinit override_dh_installmenu override_dh_installmime override_dh_installmodules override_dh_installlogcheck override_dh_installlogrotate override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm override_dh_installxfonts override_dh_bugfiles override_dh_lintian override_dh_gconf override_dh_icons:

## pmtools 1.54

=== debian/changelog ===
pmtools (1.54-2) unstable; urgency=low

  * Team upload

  [ Axel Beckert ]
  * Bump Standard-Version to 3.9.5 (no changes).

  [ Damyan Ivanov ]
  * refresh patches using --no-timestamps --no-index -p ab --strip-
    trailing-whitespace
  * update fix-carp-has-no-pod-for-test-suite.patch to allow underscore
    in the version of English.pm
    Closes: #735818 -- FTBFS with perl 5.18.2

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 Jan 2014 23:04:57 +0200

pmtools (1.54-1) unstable; urgency=low

  * New upstream release

 -- Axel Beckert <abe@debian.org>  Tue, 22 Oct 2013 00:58:10 +0200

pmtools (1.51-1) unstable; urgency=low

  * New upstream release
  * Add patch to use English instead of Carp in POD-related tests
  * Add patch to make pminst follow symlinks
  * Set $PAGER to cat as it's used by pman + pmcat, also inside the tests
  * Really bump debhelper compat. to 9, not only the build-dependency

 -- Axel Beckert <abe@debian.org>  Fri, 27 Sep 2013 22:51:06 +0200

pmtools (1.40-1) unstable; urgency=low

  [ Axel Beckert ]
  * New upstream release
  * Make new upstream test suite pass.
    + Add Build-Dependency on perl-doc
    + Extend $PATH as needed
  * No more install upstream's README into /usr/share/doc/pmtools/ -- it
    only contains module name, version and license nowadays)
  * debian/rules: Remove no more needed empty overrides
  * Bump debhelper compatibility to 9
    + Update versioned debhelper compatibility accordingly
    + Gets rid of the dh_pysupport deprecation warning

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

 -- Axel Beckert <abe@debian.org>  Tue, 10 Sep 2013 00:13:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
            Xavier Guimard <x.guimard@free.fr>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 8),
-               perl
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9~),
+               perl,
+               perl-doc
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pmtools.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pmtools.git
 Homepage: https://metacpan.org/release/pmtools/

=== debian/watch ===
version=3
# URL to the package page followed by a regex to search
opts=dversionmangle=s/\+ds\d+$// \
https://metacpan.org/release/pmtools/   .*/pmtools-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## pmtools 2.0.0

=== debian/changelog ===
pmtools (2.0.0-2) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Add t_pfcat_5.26.patch for perl 5.26 compatibility. The formatting of
    perlfunc.pod changed, adjust regexp in test accordingly.
  * Add debian/upstream/metadata.
  * Fix path in debian/copyright.
  * Mark package as autopkgtest-able.
  * Add patch to fix a spelling mistake in the POD.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Jun 2017 19:50:02 +0200

pmtools (2.0.0-1) unstable; urgency=low

  * New upstream release
    + Refresh fix-carp-has-no-pod-for-test-suite.patch

 -- Axel Beckert <abe@debian.org>  Sun, 09 Feb 2014 04:29:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Axel Beckert <abe@debian.org>,
            Xavier Guimard <x.guimard@free.fr>
 Section: utils
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: debhelper (>= 9~),
                perl,
                perl-doc
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pmtools.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pmtools.git
-Homepage: https://metacpan.org/release/pmtools/
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pmtools.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/pmtools.git
+Homepage: https://metacpan.org/release/pmtools
 
 Package: pmtools
 Architecture: all
@@ -28,4 +29,3 @@
   - show what symbols a module exports
   - list the methods of a class
   - display the source code of a function of a module
-

## pmtools 2.2.0

=== debian/changelog ===
pmtools (2.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Xavier Guimard ]
  * Email change: Xavier Guimard -> yadd@debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * Add patch to ignore modules in perl-base paths in pman.
    (Closes: #963408)
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Jul 2020 20:21:24 +0200

pmtools (2.2.0-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * New upstream release
  * Bump debhelper compatibility to 10
  * Update copyright years
  * Remove pminst-should-follow-symlinks.patch now included in upstream
  * Remove useless fix-carp-has-no-pod-for-test-suite.patch

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 21 Mar 2018 20:26:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: pmtools
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Axel Beckert <abe@debian.org>,
-           Xavier Guimard <x.guimard@free.fr>
+           Xavier Guimard <yadd@debian.org>
 Section: utils
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 13),
                perl,
                perl-doc
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pmtools.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/pmtools.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pmtools
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pmtools.git
 Homepage: https://metacpan.org/release/pmtools
+Rules-Requires-Root: no
 
 Package: pmtools
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_test:
	env PATH="bin:$$PATH" PAGER=cat dh_auto_test

override_dh_install:
	dh_install
	find $(TMP)/usr/bin -type f -print0 | \
		xargs -r0 sed -i -e '1s|^#!/usr/bin/env perl|#!/usr/bin/perl|'

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds\d+$// \
https://metacpan.org/release/pmtools   .*/pmtools-v?@ANY_VERSION@@ARCHIVE_EXT@$
